/* The custom */
#accessLog input[type='search'] {
  width: 200px;
  padding: 2px 5px !important;
  height: 24px;
}

.accessLogTable {
  width: 100%;
  border-collapse: collapse;
}

.accessLogTable td {
  white-space: nowrap;
  text-overflow: ellipsis;
  padding: 2px 5px;
  border: 1px solid #333;
  width: 100px;
}

.logNav {
  position: -webkit-sticky;
  position: sticky;
  top: -10px;
  background: #3D3B3B;
  z-index: 1;
  padding: 5px 0;
}

.logNav button {
  margin-left: 5px;
}

#accessLog .moreMenus {
  overflow: auto;
  max-width: 400px;
}

.custom {
  display: block;
  position: relative;
  padding-left: 25px;

  cursor: pointer;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

/* Hide the browser's default checkbox */
.custom input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

/* Create a custom checkbox */
.checkmark {
  position: absolute;
  top: -2px;
  left: 0;
  height: 20px;
  width: 20px;
  background-color: #eee;
}

/* On mouse-over, add a grey background color */
.custom:hover input~.checkmark {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.custom input:checked~.checkmark {
  background-color: #44505A;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
  content: "";
  position: absolute;
  display: none;
}

/* Show the checkmark when checked */
.custom input:checked~.checkmark:after {
  display: block;
}

/* Style the checkmark/indicator */
.custom .checkmark:after {
  left: 9px;
  top: 5px;
  width: 5px;
  height: 10px;
  border: solid white;
  border-width: 0 3px 3px 0;
  -webkit-transform: rotate(45deg);
  -ms-transform: rotate(45deg);
  transform: rotate(45deg);
}


.video-player {
  position: relative;
  /* width: 600px;*/
}

.controls {
  align-items: center;
  justify-content: space-around;
  background-color: rgba(0, 0, 0, 0.8);
  padding: 10px;
  position: absolute;
  bottom: 5px;
  width: 96%;
  border-radius: 9px;
  margin-left: 2px;
  display: none;
  opacity: 0.6;
  height: 60px;
  z-index: 1;
}


.video-player:hover .controls {
  display: block;

}


.settingsMenu {
  align-items: center;
  justify-content: space-around;
  background-color: rgba(0, 0, 0, 0.8);
  padding: 10px;
  position: absolute;
  width: 97.2%;
  margin-left: -13px;
  opacity: 0.5;
  color: white;
  bottom: -41px;
  /* height: 99px;/ border-radius: 9px; */
  z-index: 1;
}

.control-btn_old {
  background: none;
  border: none;
  color: white;
  font-size: 1.1em;
  cursor: pointer;
  position: relative;
}

.control-btn_old:hover::after {
  content: attr(data-tooltip);
  position: absolute;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: grey;
  color: white;
  padding: 5px 10px;
  border-radius: 5px;
  font-size: 0.8em;
  white-space: nowrap;
}

.mainControls {
  display: flex;
  padding: 10px;
  justify-content: space-around;
  position: relative;
  z-index: 2;
  /* z-index: 1; */

}

.allControls {
  opacity: 0.8;
  /* / position: absolute; */
  z-index: 2;
  display: flex;
  flex-direction: column;
  width: inherit;
}

.allControls:hover {
  background-color: black;
  opacity: 0.6;/
}

.progress-bar {
  width: 100%;
  height: 5px;
}

#download {
  color: blue;
}

/* .video-player:hover .settingsMenu{  
    display: block;
}
*/

/* Dropdown CSS -------------- // Style the dropdown container */
.custom-dropdown,
.quality-dropdown,
.language-dropdown {
  position: relative;
  width: 125px;
  cursor: pointer;
  user-select: none;
  font-family: Arial, sans-serif;
  border-bottom: 1px solid white;
}



/*Style the dropdown heading */
.custom-heading,
.quality-heading,
.language-heading {
  padding: 4px;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid black;
}


.custom-text,
.language-text,
.quality-text {
  font-size: small;
}


/* Style the arrow */
.arrow {
  transition: transform 0.3s ease;
}

/* Rotate the arrow when dropdown is open */
.custom-dropdown.custom-open .arrow,
.quality-dropdown.quality-open .arrow,
.language-dropdown.language-open .arrow {
  transform: rotate(-180deg);
}

/* Hide options by default */
.dropdown-options {
  display: none;
  position: absolute;
  /* top: 100%;*/
  bottom: 12%;
  left: 0;
  width: 100%;
  background-color: #fff;
  border: 1px solid #ddd;
  border-radius: 5px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  z-index: 10;
  overflow: hidden;
}

/* Style each option */
.custom_option,
.quality_option,
.language_option {
  padding: 10px;
  color: black;
  border-bottom: 1px solid #ddd;
  font-size: smaller;
}

.custom_option:last-child,
.quality_option:last-child,
.language_option:last-child {
  border-bottom: none;
}

/*  Change background color on hover */
.custom_option:hover,
.quality_option:hover,
.language_option:hover {
  background-color: #f1f1f1;
}

/* Show options when dropdown is clicked */
.custom-dropdown.custom-open .dropdown-options,
.quality-dropdown.quality-open .dropdown-options,
.language-dropdown.language-open .dropdown-options {
  display: block;
}



/* End of Languge Dropdown CSS / / start of seek Dropdown CSS*/
.seek-dropdown {
  position: relative;
  width: 80px;
  cursor: pointer;
  user-select: none;
  font-family: Arial, sans-serif;
  border-bottom: 2px solid white;
}

.seek-heading,
.mutiple-heading {
  padding: 2px 4px !important;
  color: white;
  display: flex;
  align-items: center;
  justify-content: space-between;
  border-bottom: 1px solid black;
}

.seek-text,
.mutiple-text {
  font-size: smaller;
}

/* Rotate the arrow when dropdown is open */
.seek-dropdown.seek-open .arrow {
  transform: rotate(-180deg);
}

/* Style each option */
.seek_option {
  padding: 10px;
  color: black;
  border-bottom: 1px solid #ddd;
  font-size: smaller;
}

.seek_option:last-child {
  border-bottom: none;
}

/* Change background color on hover*/
.seek_option:hover {
  background-color: #f1f1f1;
}

/* Show options when dropdown is clicked */
.seek-dropdown.seek-open .dropdown-options {
  display: block;
}

.seek-input {
  width: 90%;
  background: center;
  color: white;
  border: none;
  font-size: 12px;
}


/* end of seek Dropdown CSS / / Playback Speed CSS ------- / / Style for the main popup menu */
.popup-menu {
  display: none;
  position: absolute;
  top: 40px;
  right: 10px;
  width: 150px;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
  z-index: 100;
  padding: 10px 0;
}

/* Style each main menu item */
.menu-item {
  padding: 10px 15px;
  color: #333;
  cursor: pointer;
  font-weight: bold;
}

.menu-item:hover {
  background-color: #f1f1f1;
}

/* Secondary popup styling */
.speed-popup {
  display: none;
  /* Hidden by default */
  position: absolute;
  top: 80px;
  /* Position it below the main popup */
  right: 10px;
  width: 150px;
  background-color: #fff;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  border-radius: 8px;
  z-index: 101;
  padding: 10px 0;
}

/* Style each speed option */
.speed-option {
  padding: 10px 15px;
  color: #333;
  cursor: pointer;
}

.speed-option:hover {
  background-color: #f1f1f1;
}

/* Show the popup menu when active */
.menu-container .popup-menu.active {
  display: block;
}

/* Show the speed popup when active */
.menu-container .speed-popup.active {
  display: block;
}

.mark-input {
  background: center;
  width: clamp(90px, 6vw, 110px);
  color: white;
  border: none;
}

.mark-plus {
  margin-top: 5px;
  margin-right: 4px;
}

.info-plus {
  /* margin-top: 1px;
  margin-right: 4px; */
}

.save-button {
  display: flex;
  align-items: center;
  gap: 8px;
  font-family: Arial, sans-serif;
  padding: 4px 8px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

.save-button i {
  font-size: 16px;
}

.save-button:hover {
  background-color: #0056b3;
}

/* For WebKit-based browsers (Chrome, Safari) */
video::-webkit-media-controls-progress-bar {
  background-color: lightgray;
  /* Background color */
}


video::-webkit-media-controls-timeline {
  background-color: transparent;
  /* Example color */
}

video::-webkit-media-controls-playback-rate-button {
  background-color: #1e90ff;
  /* Example color */
}

video::-webkit-media-controls-progress-bar {
  background-color: #f0f0f0;
  /* Progress bar background */
}

video::-webkit-media-controls-played-progress {
  background-color: #1e90ff;
  /* Played portion of the progress bar */
}

video::-webkit-media-controls-buffering-progress {
  background-color: #b0c4de;
  /* Buffering portion of the progress bar */
}

/* Customize the slider thumb */
video::-webkit-media-controls-timeline {
  background-color: transparent;
  /* Full timeline (track color) */
}

video::-webkit-media-controls-volume-slider {
  background-color: transparent;
  /* Volume slider color */
}

video::-webkit-slider-runnable-track {
  color: #4CAF50;
  /* Changes the background of the timeline */
}


.mark-in {
  color: green;
}

.mark-out {
  color: red;
}

.life-cycle-pending-running,
.life-cycle-rename-growing,
.life-cycle-warning-notification {
  color: darkorange !important;
}

.life-cycle-done-complete,
.life-cycle-live-onair,
.life-cycle-ok-available,
.life-cycle-proxy-informational {
  color: #00d400 !important;
}

.life-cycle-rejected-fail,
.life-cycle-missing-error,
.life-cycle-not-delete,
.life-cycle-hold-alert,
.life-cycle-critical {
  color: #ff8d8d !important;
}

.life-cycle-transfer {
  color: #ff8cb3 !important;
}

.life-cycle-move-approved {
  color: #ff7cff !important;
}

.life-cycle-tc-working-debug {
  color: #cd97ff !important;
}

.life-cycle-qc-new-unassign,
.priorityHigh {
  color: salmon !important;
}

.life-cycle-copy-assign,
.priorityLow {
  color: cadetblue !important;
}

.life-cycle-content {
  color: #A8C424 !important;
}

.life-cycle-emergency {
  color: #ff0000 !important;
}



.device-subcat {
  padding-left: 30px !important;
  background-color: var(--background-Color-n32) !important;
}

.device-subcat::before {

  content: "\21B9";
  /* Unicode for a tab-like arrow symbol */
  /* display: inline-block; */
  display: none;
  margin-right: 8px;
  /* Space between icon and text */
  font-size: 16px;
  /* Adjust icon size */
  color: #007BFF;
  /* Icon color */
  vertical-align: middle;
}